(function($) {

	"use strict";

	$( document ).ready(function() {

		if ($('#wpadminbar').length > 0) {
		
			$('#header-main-fixed').css('top', $('#wpadminbar').height() + 'px');
			$('#wpadminbar').css('position', 'fixed');
		}

		$(window).on('scroll', function () {

			if ($(this).scrollTop() > 100) {

				$('.scrollup').fadeIn();

			} else {

				$('.scrollup').fadeOut();

			}
		});

		$('.scrollup').on('click', function () {
			
			$("html, body").animate({
				  scrollTop: 0
			  }, 600);

			return false;
		});

		$('.menu-container').on('click', function(e) {

			e.stopPropagation();

    		$('#body-content-wrapper').toggleClass('open-menu');

		});

		zenether_mainMenuInit();

		zenether_initMiniCartEvents();

		$('#navmain > div > ul > li').each(
	       function() {
	         if ($(this).find('> ul.sub-menu').length > 0) {

	           $(this).prepend('<span class="sub-menu-item-toggle"></span>');
	         }
	       }
	     );

   $('.sub-menu-item-toggle').on('click', function(e) {

	     e.stopPropagation();

	     var subMenu = $(this).parent().find('> ul.sub-menu');

	     $('#navmain ul ul.sub-menu').not(subMenu).css('z-index', '-1').css('position', 'absolute');
	     $(this).toggleClass('sub-menu-item-toggle-expanded');
	     if (subMenu.css('z-index') == '-1') {

        subMenu.css({'z-index': '5000'}).css({'position': 'relative'});
        subMenu.find('ul.sub-menu').css({'z-index': '5000'}).css({'position': 'relative'});

     } else {

        subMenu.css({'z-index': '-1'}).css({'position': 'absolute'});
        subMenu.find('ul.sub-menu').css({'z-index': '-1'}).css({'position': 'absolute'});
     }
	   });

		// re-init main menu on screen resize
		$(window).on('resize', function () {
	       
	    	zenether_mainMenuClear();
	    	zenether_mainMenuInit();
		});

		$('#main-content-wrapper, #home-content-wrapper').on('focusin', function(){

       		if ($('#body-content-wrapper').hasClass('open-menu'))
        		$('#body-content-wrapper').removeClass('open-menu');
  		});
	});

	function zenether_mainMenuClear() {

		if ( $(window).width() >= 800 ) {
		
			$('#navmain > div > ul > li').has('ul').removeClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li').has('ul').removeClass('level-two-sub-menu');										
		}

		if ( $('ul:first-child', $('#navmain > div') ).is( ":visible" ) ) {

			$('ul:first-child', $('#navmain > div') ).css('display', '');
		}
	}

	function zenether_mainMenuInit() {

		if ( $(window).width() >= 800 ) {
		
			$('#navmain > div > ul > li').has('ul').addClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li').has('ul').addClass('level-two-sub-menu');

    // add support of browsers which don't support focus-within
    $('#navmain > div > ul > li > a:not(.login-form-icon):not(.search-form-icon), #navmain > div > ul > li > ul > li > a, #navmain > div > ul > li > ul > li > ul > li > a, .mega-menu-sub-menu')
      .on('mouseenter focus', function() {
        $(this).closest('li.level-one-sub-menu').addClass('menu-item-focused');
        $(this).closest('li.level-two-sub-menu').addClass('menu-item-focused');

        if (!$(this).parent().find('#cart-popup-content').length && $('#cart-popup-content').css('z-index') != '-1')
          $('#cart-popup-content').css('z-index', '-1');
      }).on('mouseleave blur', function() {
        $(this).closest('li.level-one-sub-menu').removeClass('menu-item-focused');
        $(this).closest('li.level-two-sub-menu').removeClass('menu-item-focused');
    });										
		}
	}

	function zenether_initMiniCartEvents() {

		$('#header-main-fixed a.cart-contents').on('mouseenter', function(){
	    
	    	// display mini-cart if it's not visible
	    	if ( !$('#header-main-fixed #cart-popup-content').is(":visible") ) {
	    
	      		var rightPos = ($(window).width() - ($(this).offset().left + $(this).outerWidth()));
	      		var topPos = $(this).offset().top + 20;
	    
	      		$('#header-main-fixed #cart-popup-content')
	      			.css('right', rightPos).css('top', topPos).fadeIn();
	    	}
	  	});
	  
	  	$('#header-main-fixed #cart-popup-content').on('mouseleave', function(){
	  
	    	$('#header-main-fixed #cart-popup-content').fadeOut();
	  	});
	}

})(jQuery);